Bug 221622 - "TypeError: iteration over non-sequence" on groupinstall
"TypeError: iteration over non-sequence" on groupinstall
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 13:03 EST by Dan Young
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-05 15:35:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum groupinstall traceback (977 bytes, text/plain)
2007-01-05 13:03 EST, Dan Young
no flags Details

  None (edit)
Description Dan Young 2007-01-05 13:03:48 EST
Description of problem:
yum throws an exception when doing a groupinstall

Version-Release number of selected component (if applicable):
yum-3.0.2-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1. yum --noplugins groupinstall 'Development Libraries'
  
Actual results:
TypeError: iteration over non-sequence
traceback attached

Expected results:
Installation of *-devel
Comment 1 Dan Young 2007-01-05 13:03:48 EST
Created attachment 144918 [details]
yum groupinstall traceback
Comment 2 Jeremy Katz 2007-01-05 15:35:53 EST
This is fixed upstream and will be in 3.0.3, which I'm going to update to before
pushing the FC6 update
Comment 3 Jesse Keating 2007-01-14 12:02:12 EST
Confirmed, fixed in 3.0.3

Note You need to log in before you can comment on or make changes to this bug.